> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seleqt.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Campaigns steps list

## GET /api/v1/public/campaigns/{id}/steps/

Returns all steps and conditions for a campaign.

Auth: `X-API-Key`

### Path Parameters

* `id` (integer, required): Campaign ID

### Response

```json theme={null}
{
  "success": true,
  "steps": [
    {
      "id": 456,
      "step_type": "EMAIL",
      "subject_line": "Quick question about {{company_name}}",
      "message_template": "Hi {{first_name}}, I hope you're doing well!",
      "subject_line_b": "Alternative subject for {{first_name}}",
      "message_template_b": "Alternative message for {{first_name}}",
      "delay_in_hours": 24,
      "add_unsubscribe": true,
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z"
    }
  ],
  "conditions": [
    {
      "id": 789,
      "condition_type": "HAS_EMAIL",
      "delay_in_hours": 0,
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z"
    }
  ]
}
```

### Example

```bash theme={null}
curl -H "X-API-Key: <key>" \
  "https://api.seleqt.ai/api/v1/public/campaigns/123/steps/"
```
